Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Date Class Reference

Inheritance diagram for Date:

[legend]
List of all members.

## Public Member Functions
| Date ($BeginDate, $EndDate=NULL, $Precision=NULL, $DebugLevel=0)
| Formatted ()
| PFormatted ($Format, $ReturnEndDate=FALSE)
| FormattedForSql ($ReturnEndDate=FALSE)
| FormattedISO8601 ()
| UseUTC ()
| UseLocalTime ()
| BeginDate ()
| EndDate ()
| Precision ($NewPrecision=NULL)
| SqlCondition ($FieldName, $EndFieldName=NULL, $Operator="=")
| FormattedPrecision ($Precision=NULL)
## Public Attributes
| $BeginDay
| $BeginMonth
| $BeginYear
| $EndDay
| $EndMonth
| $EndYear
| $Precision
| $DebugLevel

## Detailed Description

Definition at line 18 of file Axis--Date.php.

## Member Function Documentation

Date::BeginDate | ( |  | ) |

Definition at line 490 of file Axis--Date.php.

References Precision().

Date::Date | ( | $ | BeginDate,
|  | $ | EndDate = `NULL`,
|  | $ | Precision = `NULL`,
|  | $ | DebugLevel = `0` |
| ) |  |  |

Definition at line 23 of file Axis--Date.php.

References $BeginDay, $BeginMonth, $BeginYear, $DebugLevel, $EndDay, $EndMonth, $EndYear, $Precision, FormattedPrecision(), and Precision().

Referenced by SPTDate::SPTDate().

Here is the caller graph for this function:

Date::EndDate | ( |  | ) |

Definition at line 522 of file Axis--Date.php.

References Precision().

Date::Formatted | ( |  | ) |

Definition at line 325 of file Axis--Date.php.

References Precision().

Date::FormattedForSql | ( | $ | ReturnEndDate = `FALSE` | ) |

Definition at line 428 of file Axis--Date.php.

References PFormatted().

Date::FormattedISO8601 | ( |  | ) |

Definition at line 434 of file Axis--Date.php.

References Precision().

Date::FormattedPrecision | ( | $ | Precision = `NULL` | ) |

Definition at line 690 of file Axis--Date.php.

References $Precision, and Precision().

Referenced by Date().

Here is the caller graph for this function:

Date::PFormatted | ( | $ | Format,
|  | $ | ReturnEndDate = `FALSE` |
| ) |  |  |

Definition at line 410 of file Axis--Date.php.

References Precision().

Referenced by FormattedForSql().

Here is the caller graph for this function:

Date::Precision | ( | $ | NewPrecision = `NULL` | ) |

Definition at line 556 of file Axis--Date.php.

Referenced by BeginDate(), Date(), EndDate(), Formatted(), FormattedISO8601(), FormattedPrecision(), PFormatted(), and SqlCondition().

Here is the caller graph for this function:

Date::SqlCondition | ( | $ | FieldName,
|  | $ | EndFieldName = `NULL`,
|  | $ | Operator = `"="` |
| ) |  |  |

Definition at line 563 of file Axis--Date.php.

References $BeginDay, $BeginMonth, $BeginYear, $EndDay, $EndMonth, $EndYear, and Precision().

Date::UseLocalTime | ( |  | ) |

Definition at line 476 of file Axis--Date.php.

Date::UseUTC | ( |  | ) |

Definition at line 462 of file Axis--Date.php.

## Member Data Documentation

Date::$BeginDay

Definition at line 713 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$BeginMonth

Definition at line 714 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$BeginYear

Definition at line 715 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$DebugLevel

Definition at line 720 of file Axis--Date.php.

Referenced by Date().

Date::$EndDay

Definition at line 716 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$EndMonth

Definition at line 717 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$EndYear

Definition at line 718 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$Precision

Definition at line 719 of file Axis--Date.php.

Referenced by Date(), FormattedPrecision(), and SPTDate::SPTDate().

The documentation for this class was generated from the following file:

- Axis--Date.php